ISSPACE(3)

NAME
isspace - white-space character test

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
isspace(int c);

DESCRIPTION
The isspace() function tests for the white-space characters. For any locale, this includes the following standard characters:

``\t'' | ``\n'' | ``\v'' | ``\f'' | ``\r'' | `` ''

In the "C" locale isspace() successful test is limited to this characters only. The value of the argument must be representable as an unsigned char or the value of EOF.

RETURN VALUES
The isspace() function returns zero if the character tests false and returns non-zero if the character tests true.

COMPATIBILITY
The 4.4BSD extension of accepting arguments outside of the range of the unsigned char type in locales with large character sets is considered obsolete and may not be supported in future releases. The iswspace() function should be used instead.

SEE ALSO
ctype(3), iswspace(3), multibyte(3), ascii(7)

STANDARDS
The isspace() function conforms to isoC.